<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:id="@+id/mCard"
        android:layout_width="@dimen/dp_100"
        android:layout_height="@dimen/dp_83"
        app:cardCornerRadius="@dimen/dp_5"

        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:src="@drawable/icon_sport_default"  />

    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/mTitle"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_13"
        app:layout_constraintRight_toLeftOf="@+id/mState"
        android:textColor="@color/col_333"
        android:text="-"
        android:textStyle="bold"
        android:textSize="@dimen/sp_14"
        android:singleLine="true"
        android:layout_marginRight="@dimen/dp_5"
        app:layout_constraintLeft_toRightOf="@+id/mCard"
        app:layout_constraintTop_toTopOf="@+id/mCard" />
    <TextView
        android:id="@+id/mState"
        app:layout_constraintLeft_toRightOf="@+id/mTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/col_25c"
        android:textSize="@dimen/sp_13"
        android:gravity="end"
        android:text=""
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBaseline_toBaselineOf="@+id/mTitle"
        app:layout_constraintTop_toTopOf="@+id/mCard" />

    <TextView
        android:layout_width="@dimen/dp_0"
        android:id="@+id/mBodyState"
        android:layout_marginLeft="@dimen/dp_13"
        android:layout_height="wrap_content"
        android:textColor="@color/col_C7C"
        app:layout_constraintTop_toBottomOf="@+id/mTitle"
        android:text="@string/body_state"
        app:layout_constraintRight_toLeftOf="@+id/mSleep"
        android:textSize="@dimen/sp_12"
        android:singleLine="true"
        android:layout_marginRight="@dimen/dp_5"
        app:layout_constraintLeft_toRightOf="@+id/mCard"
        app:layout_constraintBottom_toTopOf="@+id/mTime" />
    <TextView
        android:layout_width="@dimen/dp_0"
        android:id="@+id/mSleep"
        android:layout_height="wrap_content"
        android:textColor="@color/col_C7C"
        android:text="@string/sleep_info"
        android:layout_marginLeft="@dimen/dp_12"
        android:textSize="@dimen/sp_12"
        android:singleLine="true"
        android:layout_marginRight="@dimen/dp_5"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/mBodyState"
        app:layout_constraintBaseline_toBaselineOf="@+id/mBodyState" />


    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/mTime"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_13"
        android:textColor="@color/col_C7C"
        android:text="@string/sport_time"
        android:textSize="@dimen/sp_12"
        app:layout_constraintTop_toBottomOf="@+id/mBodyState"
        android:singleLine="true"
        android:layout_marginRight="@dimen/dp_5"
        app:layout_constraintLeft_toRightOf="@+id/mCard"
        app:layout_constraintBottom_toTopOf="@+id/mResultTitle" />

    <TextView
        android:layout_width="wrap_content"
        android:id="@+id/mResultTitle"
        android:layout_marginLeft="@dimen/dp_13"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/mTime"
        android:textColor="@color/col_333"
        android:text="@string/sport_result"
        android:textSize="@dimen/sp_12"
        android:singleLine="true"
        android:layout_marginRight="@dimen/dp_5"
        app:layout_constraintLeft_toRightOf="@+id/mCard"
        app:layout_constraintBottom_toBottomOf="@+id/mCard" />
    <TextView
        android:layout_width="0dp"
        android:id="@+id/mResult"
        android:layout_height="wrap_content"
        app:layout_constraintRight_toRightOf="parent"
        android:textColor="@color/col_C7C"
        android:text=""
        android:layout_marginLeft="@dimen/dp_12"
        android:textSize="@dimen/sp_12"
        android:singleLine="true"
        android:layout_marginRight="@dimen/dp_5"
        app:layout_constraintLeft_toRightOf="@+id/mResultTitle"
        app:layout_constraintBaseline_toBaselineOf="@+id/mResultTitle"/>

</androidx.constraintlayout.widget.ConstraintLayout>